const deepFreeze = require('deep-freeze-strict');

const ERROR = deepFreeze(
  Object.assign({},
    {
      LAMBDA_INVOKE_ERROR: {status: 500, message: 'Could not invoke lambda function correctly.'},
      LAMBDA_SCRAPER_ERROR: {status: 500, message: 'Could not invoke lambda function correctly.'},
      REQUEST_ERROR: {status: 500, message: 'Request error occured.'},
      NIGHTMARE_ERROR: {status: 500, message: 'Nightmare error occured.'},

    })
);

const STRATEGY = deepFreeze({
  CASPERJS: 'casperjs',
  HTTP: 'http',
  PHANTOMJS: 'phantomjs',
  NIGHTMAREJS: 'nightmarejs'
});

module.exports = {
  STRATEGY,
  ERROR
};