const deepFreeze = require('deep-freeze-strict');

const ERROR = deepFreeze(
  Object.assign({},
    {
      LINK_MAX_TRY_ERROR: {status: 500, message: 'Tried to scrape the link too many times.'}
    })
);

const DEFAULTS = deepFreeze({
  LINK_MAX_TRY: 25
});

module.exports = {
  DEFAULTS,
  ERROR
};